"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const findOne = async (pool, readModelName, tableName, searchExpression, fieldList) => {
  const sqlQuery = pool.makeSqlQuery(pool, readModelName, 'findOne', tableName, searchExpression, fieldList);
  const rows = await pool.inlineLedgerRunQuery(sqlQuery);

  if (Array.isArray(rows) && rows.length > 0) {
    return pool.convertResultRow(rows[0], fieldList);
  }

  return null;
};

var _default = findOne;
exports.default = _default;
//# sourceMappingURL=find-one.js.map